# Uses of Class
java.lang.NoSuchFieldException

Packages that use NoSuchFieldException
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.lang.invoke
The `java.lang.invoke` package provides low-level primitives for interacting with the Java Virtual Machine.

## Uses of NoSuchFieldException in java.lang

Methods in java.lang that throw NoSuchFieldException
Modifier and Type
Method
Description
`Field`
Class.`getDeclaredField(String name)`
Returns a `Field` object that reflects the specified declared field of the class or interface represented by this `Class` object.
`Field`
Class.`getField(String name)`
Returns a `Field` object that reflects the specified public member field of the class or interface represented by this `Class` object.

## Uses of NoSuchFieldException in java.lang.invoke

Methods in java.lang.invoke that throw NoSuchFieldException
Modifier and Type
Method
Description
`MethodHandle`
MethodHandles.Lookup.`findGetter(Class<?> refc, String name, Class<?> type)`
Produces a method handle giving read access to a non-static field.
`MethodHandle`
MethodHandles.Lookup.`findSetter(Class<?> refc, String name, Class<?> type)`
Produces a method handle giving write access to a non-static field.
`MethodHandle`
MethodHandles.Lookup.`findStaticGetter(Class<?> refc, String name, Class<?> type)`
Produces a method handle giving read access to a static field.
`MethodHandle`
MethodHandles.Lookup.`findStaticSetter(Class<?> refc, String name, Class<?> type)`
Produces a method handle giving write access to a static field.
`VarHandle`
MethodHandles.Lookup.`findStaticVarHandle(Class<?> decl, String name, Class<?> type)`
Produces a VarHandle giving access to a static field `name` of type `type` declared in a class of type `decl`.
`VarHandle`
MethodHandles.Lookup.`findVarHandle(Class<?> recv, String name, Class<?> type)`
Produces a VarHandle giving access to a non-static field `name` of type `type` declared in a class of type `recv`.